CREATE DATABASE git DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
use git;
-- phpMyAdmin SQL Dump
-- version 5.1.0
-- https://www.phpmyadmin.net/
--
-- Host: localhost
-- Generation Time: Apr 27, 2022 at 01:02 AM
-- Server version: 5.7.37-0ubuntu0.18.04.1
-- PHP Version: 7.2.24-0ubuntu0.18.04.11

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `git`
--

-- --------------------------------------------------------

--
-- Table structure for table `access`
--

CREATE TABLE `access` (
  `id` bigint(20) NOT NULL,
  `user_id` bigint(20) DEFAULT NULL,
  `repo_id` bigint(20) DEFAULT NULL,
  `mode` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `access_token`
--

CREATE TABLE `access_token` (
  `id` bigint(20) NOT NULL,
  `uid` bigint(20) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `sha1` varchar(40) DEFAULT NULL,
  `created_unix` bigint(20) DEFAULT NULL,
  `updated_unix` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `action`
--

CREATE TABLE `action` (
  `id` bigint(20) NOT NULL,
  `user_id` bigint(20) DEFAULT NULL,
  `op_type` int(11) DEFAULT NULL,
  `act_user_id` bigint(20) DEFAULT NULL,
  `act_user_name` varchar(255) DEFAULT NULL,
  `repo_id` bigint(20) DEFAULT NULL,
  `repo_user_name` varchar(255) DEFAULT NULL,
  `repo_name` varchar(255) DEFAULT NULL,
  `ref_name` varchar(255) DEFAULT NULL,
  `is_private` tinyint(1) NOT NULL DEFAULT '0',
  `content` text,
  `created_unix` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `action`
--

INSERT INTO `action` (`id`, `user_id`, `op_type`, `act_user_id`, `act_user_name`, `repo_id`, `repo_user_name`, `repo_name`, `ref_name`, `is_private`, `content`, `created_unix`) VALUES
(1, 1, 1, 1, 'admin1', 1, 'admin1', 'sh', '', 0, '', 1650520679),
(2, 1, 5, 1, 'admin1', 1, 'admin1', 'sh', 'master', 0, '{\"Len\":1,\"Commits\":[{\"Sha1\":\"63356f1021d32243fbb0a8904c7044ddaf6fa8cf\",\"Message\":\"Add \'coffeesystem.sh\'\\n\",\"AuthorEmail\":\"admin@yahoo.com\",\"AuthorName\":\"admin1\",\"CommitterEmail\":\"admin@yahoo.com\",\"CommitterName\":\"admin1\",\"Timestamp\":\"2022-04-20T23:18:07-07:00\"}],\"CompareURL\":\"admin1/sh/compare/752762ee93104e7ead471fb9ddc22e84b6390342...63356f1021d32243fbb0a8904c7044ddaf6fa8cf\"}', 1650521887),
(3, 1, 1, 1, 'admin1', 2, 'admin1', 'Coffee_MySQL', '', 0, '', 1651039547),
(4, 1, 5, 1, 'admin1', 2, 'admin1', 'Coffee_MySQL', 'master', 0, '{\"Len\":1,\"Commits\":[{\"Sha1\":\"b9f2fcde94ad62e0e7e4c11b0eb24961231177b2\",\"Message\":\"Upload files to \'\'\\n\",\"AuthorEmail\":\"admin@yahoo.com\",\"AuthorName\":\"admin1\",\"CommitterEmail\":\"admin@yahoo.com\",\"CommitterName\":\"admin1\",\"Timestamp\":\"2022-04-26T23:05:56-07:00\"}],\"CompareURL\":\"admin1/Coffee_MySQL/compare/1891b50957fe806a2bcafeb70059da3c3fcb3d6d...b9f2fcde94ad62e0e7e4c11b0eb24961231177b2\"}', 1651039556),
(7, 1, 1, 1, 'admin1', 4, 'admin1', 'CoffeeProject', '', 0, '', 1651039813),
(8, 1, 5, 1, 'admin1', 4, 'admin1', 'CoffeeProject', 'master', 0, '{\"Len\":1,\"Commits\":[{\"Sha1\":\"cbe56b6f6ead1500dcc173c84cd798d8c6818992\",\"Message\":\"Upload files to \'app\'\\n\",\"AuthorEmail\":\"admin@yahoo.com\",\"AuthorName\":\"admin1\",\"CommitterEmail\":\"admin@yahoo.com\",\"CommitterName\":\"admin1\",\"Timestamp\":\"2022-04-26T23:10:39-07:00\"}],\"CompareURL\":\"admin1/CoffeeProject/compare/1ea43fe520a92deea883951cc3fa12a8e646320e...cbe56b6f6ead1500dcc173c84cd798d8c6818992\"}', 1651039840),
(9, 1, 5, 1, 'admin1', 4, 'admin1', 'CoffeeProject', 'master', 0, '{\"Len\":1,\"Commits\":[{\"Sha1\":\"3c2760209ec7dbed4aaa56f864ad5b906d6a56c8\",\"Message\":\"Upload files to \'venv\'\\n\",\"AuthorEmail\":\"admin@yahoo.com\",\"AuthorName\":\"admin1\",\"CommitterEmail\":\"admin@yahoo.com\",\"CommitterName\":\"admin1\",\"Timestamp\":\"2022-04-26T23:15:51-07:00\"}],\"CompareURL\":\"admin1/CoffeeProject/compare/cbe56b6f6ead1500dcc173c84cd798d8c6818992...3c2760209ec7dbed4aaa56f864ad5b906d6a56c8\"}', 1651040154),
(10, 1, 5, 1, 'admin1', 4, 'admin1', 'CoffeeProject', 'master', 0, '{\"Len\":1,\"Commits\":[{\"Sha1\":\"c887ee437a2b47ba55f5646c89fef6b5f61c0e1a\",\"Message\":\"Upload files to \'\'\\n\",\"AuthorEmail\":\"admin@yahoo.com\",\"AuthorName\":\"admin1\",\"CommitterEmail\":\"admin@yahoo.com\",\"CommitterName\":\"admin1\",\"Timestamp\":\"2022-04-26T23:16:06-07:00\"}],\"CompareURL\":\"admin1/CoffeeProject/compare/3c2760209ec7dbed4aaa56f864ad5b906d6a56c8...c887ee437a2b47ba55f5646c89fef6b5f61c0e1a\"}', 1651040166),
(12, 1, 1, 1, 'admin1', 6, 'admin1', 'Automatically_install_files', '', 0, '', 1651040233),
(13, 1, 5, 1, 'admin1', 6, 'admin1', 'Automatically_install_files', 'master', 0, '{\"Len\":1,\"Commits\":[{\"Sha1\":\"b8d26c605f5370a4c9f791d39917348e594d58ea\",\"Message\":\"Upload files to \'\'\\n\",\"AuthorEmail\":\"admin@yahoo.com\",\"AuthorName\":\"admin1\",\"CommitterEmail\":\"admin@yahoo.com\",\"CommitterName\":\"admin1\",\"Timestamp\":\"2022-04-26T23:17:20-07:00\"}],\"CompareURL\":\"admin1/Automatically_install_files/compare/eec9a5486ac533eed1008aa8c8a72b98c2d64b99...b8d26c605f5370a4c9f791d39917348e594d58ea\"}', 1651040240),
(14, 1, 1, 1, 'admin1', 7, 'admin1', 'git_mysql', '', 0, '', 1651040262),
(15, 1, 5, 1, 'admin1', 7, 'admin1', 'git_mysql', 'master', 0, '{\"Len\":1,\"Commits\":[{\"Sha1\":\"3d018e3e6b08d985573b81844a947689c4a567b1\",\"Message\":\"Upload files to \'\'\\n\",\"AuthorEmail\":\"admin@yahoo.com\",\"AuthorName\":\"admin1\",\"CommitterEmail\":\"admin@yahoo.com\",\"CommitterName\":\"admin1\",\"Timestamp\":\"2022-04-26T23:17:49-07:00\"}],\"CompareURL\":\"admin1/git_mysql/compare/88d4ae7841d5f22cf0bcc81ab686764384b847db...3d018e3e6b08d985573b81844a947689c4a567b1\"}', 1651040269),
(16, 1, 1, 1, 'admin1', 8, 'admin1', 'gogsfile', '', 0, '', 1651040294),
(17, 1, 5, 1, 'admin1', 8, 'admin1', 'gogsfile', 'master', 0, '{\"Len\":1,\"Commits\":[{\"Sha1\":\"151f0b4c9d9963251ead142caa4ceba6d467aaf3\",\"Message\":\"Upload files to \'\'\\n\",\"AuthorEmail\":\"admin@yahoo.com\",\"AuthorName\":\"admin1\",\"CommitterEmail\":\"admin@yahoo.com\",\"CommitterName\":\"admin1\",\"Timestamp\":\"2022-04-26T23:18:25-07:00\"}],\"CompareURL\":\"admin1/gogsfile/compare/ffa744ba6be1f942e41ddc80df14b608a40f75bf...151f0b4c9d9963251ead142caa4ceba6d467aaf3\"}', 1651040308),
(18, 1, 1, 1, 'admin1', 9, 'admin1', 'mqtt_server_setting', '', 0, '', 1651040324),
(19, 1, 5, 1, 'admin1', 9, 'admin1', 'mqtt_server_setting', 'master', 0, '{\"Len\":1,\"Commits\":[{\"Sha1\":\"ee73fea1805b6fcca1f8437cd4acc8e53bf7c1c4\",\"Message\":\"Upload files to \'\'\\n\",\"AuthorEmail\":\"admin@yahoo.com\",\"AuthorName\":\"admin1\",\"CommitterEmail\":\"admin@yahoo.com\",\"CommitterName\":\"admin1\",\"Timestamp\":\"2022-04-26T23:18:51-07:00\"}],\"CompareURL\":\"admin1/mqtt_server_setting/compare/4fcc1ba857f18409f4352e386f31ecb6964bec6c...ee73fea1805b6fcca1f8437cd4acc8e53bf7c1c4\"}', 1651040331),
(20, 1, 1, 1, 'admin1', 10, 'admin1', 'proc', '', 0, '', 1651040348),
(21, 1, 5, 1, 'admin1', 10, 'admin1', 'proc', 'master', 0, '{\"Len\":1,\"Commits\":[{\"Sha1\":\"3003ec06b47589c655fd983ad06ce86e7c0271b6\",\"Message\":\"Upload files to \'\'\\n\",\"AuthorEmail\":\"admin@yahoo.com\",\"AuthorName\":\"admin1\",\"CommitterEmail\":\"admin@yahoo.com\",\"CommitterName\":\"admin1\",\"Timestamp\":\"2022-04-26T23:19:18-07:00\"}],\"CompareURL\":\"admin1/proc/compare/21fd98d2576fa2c91043a9b8e73910e79eabae13...3003ec06b47589c655fd983ad06ce86e7c0271b6\"}', 1651040358),
(22, 1, 5, 1, 'admin1', 9, 'admin1', 'mqtt_server_setting', 'master', 0, '{\"Len\":1,\"Commits\":[{\"Sha1\":\"cc87de17ed9f670ebb8f12258a72239e160dd1ef\",\"Message\":\"Upload files to \'\'\\n\",\"AuthorEmail\":\"admin@yahoo.com\",\"AuthorName\":\"admin1\",\"CommitterEmail\":\"admin@yahoo.com\",\"CommitterName\":\"admin1\",\"Timestamp\":\"2022-04-27T00:34:07-07:00\"}],\"CompareURL\":\"admin1/mqtt_server_setting/compare/ee73fea1805b6fcca1f8437cd4acc8e53bf7c1c4...cc87de17ed9f670ebb8f12258a72239e160dd1ef\"}', 1651044847),
(23, 1, 1, 1, 'admin1', 11, 'admin1', 'BBend-Test-JWT', '', 0, '', 1651044862),
(24, 1, 5, 1, 'admin1', 11, 'admin1', 'BBend-Test-JWT', 'master', 0, '{\"Len\":1,\"Commits\":[{\"Sha1\":\"a94199362aab3877123edf91f8559c07e48ea3fa\",\"Message\":\"Upload files to \'app\'\\n\",\"AuthorEmail\":\"admin@yahoo.com\",\"AuthorName\":\"admin1\",\"CommitterEmail\":\"admin@yahoo.com\",\"CommitterName\":\"admin1\",\"Timestamp\":\"2022-04-27T00:34:38-07:00\"}],\"CompareURL\":\"admin1/BBend-Test-JWT/compare/82fd1363f6befffb47eadae3b3f9dcd6c964965e...a94199362aab3877123edf91f8559c07e48ea3fa\"}', 1651044879),
(25, 1, 5, 1, 'admin1', 11, 'admin1', 'BBend-Test-JWT', 'master', 0, '{\"Len\":1,\"Commits\":[{\"Sha1\":\"1f5d50bc72a6390152038e8a45f868f187347753\",\"Message\":\"Upload files to \'venv\'\\n\",\"AuthorEmail\":\"admin@yahoo.com\",\"AuthorName\":\"admin1\",\"CommitterEmail\":\"admin@yahoo.com\",\"CommitterName\":\"admin1\",\"Timestamp\":\"2022-04-27T00:37:24-07:00\"}],\"CompareURL\":\"admin1/BBend-Test-JWT/compare/a94199362aab3877123edf91f8559c07e48ea3fa...1f5d50bc72a6390152038e8a45f868f187347753\"}', 1651045048),
(26, 1, 5, 1, 'admin1', 11, 'admin1', 'BBend-Test-JWT', 'master', 0, '{\"Len\":1,\"Commits\":[{\"Sha1\":\"2776ba5149d43abf464c57bf764273c1b486ccdf\",\"Message\":\"Upload files to \'\'\\n\",\"AuthorEmail\":\"admin@yahoo.com\",\"AuthorName\":\"admin1\",\"CommitterEmail\":\"admin@yahoo.com\",\"CommitterName\":\"admin1\",\"Timestamp\":\"2022-04-27T00:37:45-07:00\"}],\"CompareURL\":\"admin1/BBend-Test-JWT/compare/1f5d50bc72a6390152038e8a45f868f187347753...2776ba5149d43abf464c57bf764273c1b486ccdf\"}', 1651045065),
(27, 1, 5, 1, 'admin1', 1, 'admin1', 'sh', 'master', 0, '{\"Len\":1,\"Commits\":[{\"Sha1\":\"54fced058b4b75a900788dc993c2b0cdd555499e\",\"Message\":\"Update \'coffeesystem.sh\'\\n\",\"AuthorEmail\":\"admin@yahoo.com\",\"AuthorName\":\"admin1\",\"CommitterEmail\":\"admin@yahoo.com\",\"CommitterName\":\"admin1\",\"Timestamp\":\"2022-04-27T00:53:20-07:00\"}],\"CompareURL\":\"admin1/sh/compare/63356f1021d32243fbb0a8904c7044ddaf6fa8cf...54fced058b4b75a900788dc993c2b0cdd555499e\"}', 1651046000);

-- --------------------------------------------------------

--
-- Table structure for table `attachment`
--

CREATE TABLE `attachment` (
  `id` bigint(20) NOT NULL,
  `uuid` varchar(40) DEFAULT NULL,
  `issue_id` bigint(20) DEFAULT NULL,
  `comment_id` bigint(20) DEFAULT NULL,
  `release_id` bigint(20) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `created_unix` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `collaboration`
--

CREATE TABLE `collaboration` (
  `id` bigint(20) NOT NULL,
  `repo_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `mode` int(11) NOT NULL DEFAULT '2'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `comment`
--

CREATE TABLE `comment` (
  `id` bigint(20) NOT NULL,
  `type` int(11) DEFAULT NULL,
  `poster_id` bigint(20) DEFAULT NULL,
  `issue_id` bigint(20) DEFAULT NULL,
  `commit_id` bigint(20) DEFAULT NULL,
  `line` bigint(20) DEFAULT NULL,
  `content` text,
  `created_unix` bigint(20) DEFAULT NULL,
  `updated_unix` bigint(20) DEFAULT NULL,
  `commit_sha` varchar(40) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `deploy_key`
--

CREATE TABLE `deploy_key` (
  `id` bigint(20) NOT NULL,
  `key_id` bigint(20) DEFAULT NULL,
  `repo_id` bigint(20) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `fingerprint` varchar(255) DEFAULT NULL,
  `created_unix` bigint(20) DEFAULT NULL,
  `updated_unix` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `email_address`
--

CREATE TABLE `email_address` (
  `id` bigint(20) NOT NULL,
  `uid` bigint(20) NOT NULL,
  `email` varchar(255) NOT NULL,
  `is_activated` tinyint(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `follow`
--

CREATE TABLE `follow` (
  `id` bigint(20) NOT NULL,
  `user_id` bigint(20) DEFAULT NULL,
  `follow_id` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `hook_task`
--

CREATE TABLE `hook_task` (
  `id` bigint(20) NOT NULL,
  `repo_id` bigint(20) DEFAULT NULL,
  `hook_id` bigint(20) DEFAULT NULL,
  `uuid` varchar(255) DEFAULT NULL,
  `type` int(11) DEFAULT NULL,
  `url` text,
  `signature` text,
  `payload_content` text,
  `content_type` int(11) DEFAULT NULL,
  `event_type` varchar(255) DEFAULT NULL,
  `is_ssl` tinyint(1) DEFAULT NULL,
  `is_delivered` tinyint(1) DEFAULT NULL,
  `delivered` bigint(20) DEFAULT NULL,
  `is_succeed` tinyint(1) DEFAULT NULL,
  `request_content` text,
  `response_content` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `issue`
--

CREATE TABLE `issue` (
  `id` bigint(20) NOT NULL,
  `repo_id` bigint(20) DEFAULT NULL,
  `index` bigint(20) DEFAULT NULL,
  `poster_id` bigint(20) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `content` text,
  `milestone_id` bigint(20) DEFAULT NULL,
  `priority` int(11) DEFAULT NULL,
  `assignee_id` bigint(20) DEFAULT NULL,
  `is_closed` tinyint(1) DEFAULT NULL,
  `is_pull` tinyint(1) DEFAULT NULL,
  `num_comments` int(11) DEFAULT NULL,
  `deadline_unix` bigint(20) DEFAULT NULL,
  `created_unix` bigint(20) DEFAULT NULL,
  `updated_unix` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `issue_label`
--

CREATE TABLE `issue_label` (
  `id` bigint(20) NOT NULL,
  `issue_id` bigint(20) DEFAULT NULL,
  `label_id` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `issue_user`
--

CREATE TABLE `issue_user` (
  `id` bigint(20) NOT NULL,
  `uid` bigint(20) DEFAULT NULL,
  `issue_id` bigint(20) DEFAULT NULL,
  `repo_id` bigint(20) DEFAULT NULL,
  `milestone_id` bigint(20) DEFAULT NULL,
  `is_read` tinyint(1) DEFAULT NULL,
  `is_assigned` tinyint(1) DEFAULT NULL,
  `is_mentioned` tinyint(1) DEFAULT NULL,
  `is_poster` tinyint(1) DEFAULT NULL,
  `is_closed` tinyint(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `label`
--

CREATE TABLE `label` (
  `id` bigint(20) NOT NULL,
  `repo_id` bigint(20) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `color` varchar(7) DEFAULT NULL,
  `num_issues` int(11) DEFAULT NULL,
  `num_closed_issues` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `lfs_object`
--

CREATE TABLE `lfs_object` (
  `repo_id` bigint(20) NOT NULL,
  `oid` varchar(255) NOT NULL,
  `size` bigint(20) NOT NULL,
  `storage` varchar(255) NOT NULL,
  `created_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `login_source`
--

CREATE TABLE `login_source` (
  `id` bigint(20) NOT NULL,
  `type` int(11) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `is_actived` tinyint(1) NOT NULL,
  `is_default` tinyint(1) DEFAULT NULL,
  `cfg` text,
  `created_unix` bigint(20) DEFAULT NULL,
  `updated_unix` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `milestone`
--

CREATE TABLE `milestone` (
  `id` bigint(20) NOT NULL,
  `repo_id` bigint(20) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `content` text,
  `is_closed` tinyint(1) DEFAULT NULL,
  `num_issues` int(11) DEFAULT NULL,
  `num_closed_issues` int(11) DEFAULT NULL,
  `completeness` int(11) DEFAULT NULL,
  `deadline_unix` bigint(20) DEFAULT NULL,
  `closed_date_unix` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `mirror`
--

CREATE TABLE `mirror` (
  `id` bigint(20) NOT NULL,
  `repo_id` bigint(20) DEFAULT NULL,
  `interval` int(11) DEFAULT NULL,
  `enable_prune` tinyint(1) NOT NULL DEFAULT '1',
  `updated_unix` bigint(20) DEFAULT NULL,
  `next_update_unix` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `notice`
--

CREATE TABLE `notice` (
  `id` bigint(20) NOT NULL,
  `type` int(11) DEFAULT NULL,
  `description` text,
  `created_unix` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `org_user`
--

CREATE TABLE `org_user` (
  `id` bigint(20) NOT NULL,
  `uid` bigint(20) DEFAULT NULL,
  `org_id` bigint(20) DEFAULT NULL,
  `is_public` tinyint(1) DEFAULT NULL,
  `is_owner` tinyint(1) DEFAULT NULL,
  `num_teams` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `protect_branch`
--

CREATE TABLE `protect_branch` (
  `id` bigint(20) NOT NULL,
  `repo_id` bigint(20) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `protected` tinyint(1) DEFAULT NULL,
  `require_pull_request` tinyint(1) DEFAULT NULL,
  `enable_whitelist` tinyint(1) DEFAULT NULL,
  `whitelist_user_i_ds` text,
  `whitelist_team_i_ds` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `protect_branch_whitelist`
--

CREATE TABLE `protect_branch_whitelist` (
  `id` bigint(20) NOT NULL,
  `protect_branch_id` bigint(20) DEFAULT NULL,
  `repo_id` bigint(20) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `user_id` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `public_key`
--

CREATE TABLE `public_key` (
  `id` bigint(20) NOT NULL,
  `owner_id` bigint(20) NOT NULL,
  `name` varchar(255) NOT NULL,
  `fingerprint` varchar(255) NOT NULL,
  `content` text NOT NULL,
  `mode` int(11) NOT NULL DEFAULT '2',
  `type` int(11) NOT NULL DEFAULT '1',
  `created_unix` bigint(20) DEFAULT NULL,
  `updated_unix` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `pull_request`
--

CREATE TABLE `pull_request` (
  `id` bigint(20) NOT NULL,
  `type` int(11) DEFAULT NULL,
  `status` int(11) DEFAULT NULL,
  `issue_id` bigint(20) DEFAULT NULL,
  `index` bigint(20) DEFAULT NULL,
  `head_repo_id` bigint(20) DEFAULT NULL,
  `base_repo_id` bigint(20) DEFAULT NULL,
  `head_user_name` varchar(255) DEFAULT NULL,
  `head_branch` varchar(255) DEFAULT NULL,
  `base_branch` varchar(255) DEFAULT NULL,
  `merge_base` varchar(40) DEFAULT NULL,
  `has_merged` tinyint(1) DEFAULT NULL,
  `merged_commit_id` varchar(40) DEFAULT NULL,
  `merger_id` bigint(20) DEFAULT NULL,
  `merged_unix` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `release`
--

CREATE TABLE `release` (
  `id` bigint(20) NOT NULL,
  `repo_id` bigint(20) DEFAULT NULL,
  `publisher_id` bigint(20) DEFAULT NULL,
  `tag_name` varchar(255) DEFAULT NULL,
  `lower_tag_name` varchar(255) DEFAULT NULL,
  `target` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `sha1` varchar(40) DEFAULT NULL,
  `num_commits` bigint(20) DEFAULT NULL,
  `note` text,
  `is_draft` tinyint(1) NOT NULL DEFAULT '0',
  `is_prerelease` tinyint(1) DEFAULT NULL,
  `created_unix` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `repository`
--

CREATE TABLE `repository` (
  `id` bigint(20) NOT NULL,
  `owner_id` bigint(20) DEFAULT NULL,
  `lower_name` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` varchar(512) DEFAULT NULL,
  `website` varchar(255) DEFAULT NULL,
  `default_branch` varchar(255) DEFAULT NULL,
  `size` bigint(20) NOT NULL DEFAULT '0',
  `use_custom_avatar` tinyint(1) DEFAULT NULL,
  `num_watches` int(11) DEFAULT NULL,
  `num_stars` int(11) DEFAULT NULL,
  `num_forks` int(11) DEFAULT NULL,
  `num_issues` int(11) DEFAULT NULL,
  `num_closed_issues` int(11) DEFAULT NULL,
  `num_pulls` int(11) DEFAULT NULL,
  `num_closed_pulls` int(11) DEFAULT NULL,
  `num_milestones` int(11) NOT NULL DEFAULT '0',
  `num_closed_milestones` int(11) NOT NULL DEFAULT '0',
  `is_private` tinyint(1) DEFAULT NULL,
  `is_bare` tinyint(1) DEFAULT NULL,
  `is_mirror` tinyint(1) DEFAULT NULL,
  `enable_wiki` tinyint(1) NOT NULL DEFAULT '1',
  `allow_public_wiki` tinyint(1) DEFAULT NULL,
  `enable_external_wiki` tinyint(1) DEFAULT NULL,
  `external_wiki_url` varchar(255) DEFAULT NULL,
  `enable_issues` tinyint(1) NOT NULL DEFAULT '1',
  `allow_public_issues` tinyint(1) DEFAULT NULL,
  `enable_external_tracker` tinyint(1) DEFAULT NULL,
  `external_tracker_url` varchar(255) DEFAULT NULL,
  `external_tracker_format` varchar(255) DEFAULT NULL,
  `external_tracker_style` varchar(255) DEFAULT NULL,
  `enable_pulls` tinyint(1) NOT NULL DEFAULT '1',
  `pulls_ignore_whitespace` tinyint(1) NOT NULL DEFAULT '0',
  `pulls_allow_rebase` tinyint(1) NOT NULL DEFAULT '0',
  `is_fork` tinyint(1) NOT NULL DEFAULT '0',
  `fork_id` bigint(20) DEFAULT NULL,
  `created_unix` bigint(20) DEFAULT NULL,
  `updated_unix` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `repository`
--

INSERT INTO `repository` (`id`, `owner_id`, `lower_name`, `name`, `description`, `website`, `default_branch`, `size`, `use_custom_avatar`, `num_watches`, `num_stars`, `num_forks`, `num_issues`, `num_closed_issues`, `num_pulls`, `num_closed_pulls`, `num_milestones`, `num_closed_milestones`, `is_private`, `is_bare`, `is_mirror`, `enable_wiki`, `allow_public_wiki`, `enable_external_wiki`, `external_wiki_url`, `enable_issues`, `allow_public_issues`, `enable_external_tracker`, `external_tracker_url`, `external_tracker_format`, `external_tracker_style`, `enable_pulls`, `pulls_ignore_whitespace`, `pulls_allow_rebase`, `is_fork`, `fork_id`, `created_unix`, `updated_unix`) VALUES
(1, 1, 'sh', 'sh', '', '', 'master', 36864, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, '', 1, 0, 0, '', '', 'numeric', 1, 0, 0, 0, 0, 1650520679, 1651046000),
(2, 1, 'coffee_mysql', 'Coffee_MySQL', '', '', 'master', 24576, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, '', 1, 0, 0, '', '', 'numeric', 1, 0, 0, 0, 0, 1651039547, 1651039556),
(4, 1, 'coffeeproject', 'CoffeeProject', '', '', 'master', 16501760, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, '', 1, 0, 0, '', '', 'numeric', 1, 0, 0, 0, 0, 1651039813, 1651040166),
(6, 1, 'automatically_install_files', 'Automatically_install_files', '', '', 'master', 24576, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, '', 1, 0, 0, '', '', 'numeric', 1, 0, 0, 0, 0, 1651040233, 1651040240),
(7, 1, 'git_mysql', 'git_mysql', '', '', 'master', 28672, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, '', 1, 0, 0, '', '', 'numeric', 1, 0, 0, 0, 0, 1651040262, 1651040269),
(8, 1, 'gogsfile', 'gogsfile', '', '', 'master', 27377664, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, '', 1, 0, 0, '', '', 'numeric', 1, 0, 0, 0, 0, 1651040294, 1651040308),
(9, 1, 'mqtt_server_setting', 'mqtt_server_setting', '', '', 'master', 49152, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, '', 1, 0, 0, '', '', 'numeric', 1, 0, 0, 0, 0, 1651040324, 1651044847),
(10, 1, 'proc', 'proc', '', '', 'master', 32768, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, '', 1, 0, 0, '', '', 'numeric', 1, 0, 0, 0, 0, 1651040348, 1651040358),
(11, 1, 'bbend-test-jwt', 'BBend-Test-JWT', '', '', 'master', 16340992, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, '', 1, 0, 0, '', '', 'numeric', 1, 0, 0, 0, 0, 1651044862, 1651045065);

-- --------------------------------------------------------

--
-- Table structure for table `star`
--

CREATE TABLE `star` (
  `id` bigint(20) NOT NULL,
  `uid` bigint(20) DEFAULT NULL,
  `repo_id` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `team`
--

CREATE TABLE `team` (
  `id` bigint(20) NOT NULL,
  `org_id` bigint(20) DEFAULT NULL,
  `lower_name` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `authorize` int(11) DEFAULT NULL,
  `num_repos` int(11) DEFAULT NULL,
  `num_members` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `team_repo`
--

CREATE TABLE `team_repo` (
  `id` bigint(20) NOT NULL,
  `org_id` bigint(20) DEFAULT NULL,
  `team_id` bigint(20) DEFAULT NULL,
  `repo_id` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `team_user`
--

CREATE TABLE `team_user` (
  `id` bigint(20) NOT NULL,
  `org_id` bigint(20) DEFAULT NULL,
  `team_id` bigint(20) DEFAULT NULL,
  `uid` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `two_factor`
--

CREATE TABLE `two_factor` (
  `id` bigint(20) NOT NULL,
  `user_id` bigint(20) DEFAULT NULL,
  `secret` varchar(255) DEFAULT NULL,
  `created_unix` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `two_factor_recovery_code`
--

CREATE TABLE `two_factor_recovery_code` (
  `id` bigint(20) NOT NULL,
  `user_id` bigint(20) DEFAULT NULL,
  `code` varchar(11) DEFAULT NULL,
  `is_used` tinyint(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `upload`
--

CREATE TABLE `upload` (
  `id` bigint(20) NOT NULL,
  `uuid` varchar(40) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `user`
--

CREATE TABLE `user` (
  `id` bigint(20) NOT NULL,
  `lower_name` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `full_name` varchar(255) DEFAULT NULL,
  `email` varchar(255) NOT NULL,
  `passwd` varchar(255) NOT NULL,
  `login_source` bigint(20) NOT NULL DEFAULT '0',
  `login_name` varchar(255) DEFAULT NULL,
  `type` int(11) DEFAULT NULL,
  `location` varchar(255) DEFAULT NULL,
  `website` varchar(255) DEFAULT NULL,
  `rands` varchar(10) DEFAULT NULL,
  `salt` varchar(10) DEFAULT NULL,
  `created_unix` bigint(20) DEFAULT NULL,
  `updated_unix` bigint(20) DEFAULT NULL,
  `last_repo_visibility` tinyint(1) DEFAULT NULL,
  `max_repo_creation` int(11) NOT NULL DEFAULT '-1',
  `is_active` tinyint(1) DEFAULT NULL,
  `is_admin` tinyint(1) DEFAULT NULL,
  `allow_git_hook` tinyint(1) DEFAULT NULL,
  `allow_import_local` tinyint(1) DEFAULT NULL,
  `prohibit_login` tinyint(1) DEFAULT NULL,
  `avatar` varchar(2048) NOT NULL,
  `avatar_email` varchar(255) NOT NULL,
  `use_custom_avatar` tinyint(1) DEFAULT NULL,
  `num_followers` int(11) DEFAULT NULL,
  `num_following` int(11) NOT NULL DEFAULT '0',
  `num_stars` int(11) DEFAULT NULL,
  `num_repos` int(11) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `num_teams` int(11) DEFAULT NULL,
  `num_members` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `user`
--

INSERT INTO `user` (`id`, `lower_name`, `name`, `full_name`, `email`, `passwd`, `login_source`, `login_name`, `type`, `location`, `website`, `rands`, `salt`, `created_unix`, `updated_unix`, `last_repo_visibility`, `max_repo_creation`, `is_active`, `is_admin`, `allow_git_hook`, `allow_import_local`, `prohibit_login`, `avatar`, `avatar_email`, `use_custom_avatar`, `num_followers`, `num_following`, `num_stars`, `num_repos`, `description`, `num_teams`, `num_members`) VALUES
(1, 'admin1', 'admin1', '', 'admin@yahoo.com', '28ce87da20d032905f2792f55d8e6df28cff94e0dcf39e568c93d9b7cccf2bda81d741dc9bdf6a79e6ccb713c0f57fbc2cf2', 0, '', 0, '', '', 'XSMaeibCnL', '0G0bfeo07q', 1650520634, 1651044862, 0, -1, 1, 1, 0, 0, 0, '3325b3371681e9381a2c8610f34aaae7', 'admin@yahoo.com', 0, 0, 0, 0, 9, '', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `version`
--

CREATE TABLE `version` (
  `id` bigint(20) NOT NULL,
  `version` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `version`
--

INSERT INTO `version` (`id`, `version`) VALUES
(1, 19);

-- --------------------------------------------------------

--
-- Table structure for table `watch`
--

CREATE TABLE `watch` (
  `id` bigint(20) NOT NULL,
  `user_id` bigint(20) DEFAULT NULL,
  `repo_id` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `watch`
--

INSERT INTO `watch` (`id`, `user_id`, `repo_id`) VALUES
(1, 1, 1),
(2, 1, 2),
(4, 1, 4),
(6, 1, 6),
(7, 1, 7),
(8, 1, 8),
(9, 1, 9),
(10, 1, 10),
(11, 1, 11);

-- --------------------------------------------------------

--
-- Table structure for table `webhook`
--

CREATE TABLE `webhook` (
  `id` bigint(20) NOT NULL,
  `repo_id` bigint(20) DEFAULT NULL,
  `org_id` bigint(20) DEFAULT NULL,
  `url` text,
  `content_type` int(11) DEFAULT NULL,
  `secret` text,
  `events` text,
  `is_ssl` tinyint(1) DEFAULT NULL,
  `is_active` tinyint(1) DEFAULT NULL,
  `hook_task_type` int(11) DEFAULT NULL,
  `meta` text,
  `last_status` int(11) DEFAULT NULL,
  `created_unix` bigint(20) DEFAULT NULL,
  `updated_unix` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `access`
--
ALTER TABLE `access`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_access_s` (`user_id`,`repo_id`);

--
-- Indexes for table `access_token`
--
ALTER TABLE `access_token`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `sha1` (`sha1`),
  ADD KEY `idx_access_token_uid` (`uid`);

--
-- Indexes for table `action`
--
ALTER TABLE `action`
  ADD PRIMARY KEY (`id`),
  ADD KEY `IDX_action_repo_id` (`repo_id`);

--
-- Indexes for table `attachment`
--
ALTER TABLE `attachment`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_attachment_uuid` (`uuid`),
  ADD KEY `IDX_attachment_issue_id` (`issue_id`),
  ADD KEY `IDX_attachment_release_id` (`release_id`);

--
-- Indexes for table `collaboration`
--
ALTER TABLE `collaboration`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_collaboration_s` (`repo_id`,`user_id`),
  ADD KEY `IDX_collaboration_repo_id` (`repo_id`),
  ADD KEY `IDX_collaboration_user_id` (`user_id`);

--
-- Indexes for table `comment`
--
ALTER TABLE `comment`
  ADD PRIMARY KEY (`id`),
  ADD KEY `IDX_comment_issue_id` (`issue_id`);

--
-- Indexes for table `deploy_key`
--
ALTER TABLE `deploy_key`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_deploy_key_s` (`key_id`,`repo_id`),
  ADD KEY `IDX_deploy_key_key_id` (`key_id`),
  ADD KEY `IDX_deploy_key_repo_id` (`repo_id`);

--
-- Indexes for table `email_address`
--
ALTER TABLE `email_address`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_email_address_email` (`email`),
  ADD KEY `IDX_email_address_uid` (`uid`);

--
-- Indexes for table `follow`
--
ALTER TABLE `follow`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_follow_follow` (`user_id`,`follow_id`);

--
-- Indexes for table `hook_task`
--
ALTER TABLE `hook_task`
  ADD PRIMARY KEY (`id`),
  ADD KEY `IDX_hook_task_repo_id` (`repo_id`);

--
-- Indexes for table `issue`
--
ALTER TABLE `issue`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_issue_repo_index` (`repo_id`,`index`),
  ADD KEY `IDX_issue_repo_id` (`repo_id`);

--
-- Indexes for table `issue_label`
--
ALTER TABLE `issue_label`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_issue_label_s` (`issue_id`,`label_id`);

--
-- Indexes for table `issue_user`
--
ALTER TABLE `issue_user`
  ADD PRIMARY KEY (`id`),
  ADD KEY `IDX_issue_user_uid` (`uid`),
  ADD KEY `IDX_issue_user_repo_id` (`repo_id`);

--
-- Indexes for table `label`
--
ALTER TABLE `label`
  ADD PRIMARY KEY (`id`),
  ADD KEY `IDX_label_repo_id` (`repo_id`);

--
-- Indexes for table `lfs_object`
--
ALTER TABLE `lfs_object`
  ADD PRIMARY KEY (`repo_id`,`oid`);

--
-- Indexes for table `login_source`
--
ALTER TABLE `login_source`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `name` (`name`);

--
-- Indexes for table `milestone`
--
ALTER TABLE `milestone`
  ADD PRIMARY KEY (`id`),
  ADD KEY `IDX_milestone_repo_id` (`repo_id`);

--
-- Indexes for table `mirror`
--
ALTER TABLE `mirror`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `notice`
--
ALTER TABLE `notice`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `org_user`
--
ALTER TABLE `org_user`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_org_user_s` (`uid`,`org_id`),
  ADD KEY `IDX_org_user_uid` (`uid`),
  ADD KEY `IDX_org_user_org_id` (`org_id`);

--
-- Indexes for table `protect_branch`
--
ALTER TABLE `protect_branch`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_protect_branch_protect_branch` (`repo_id`,`name`);

--
-- Indexes for table `protect_branch_whitelist`
--
ALTER TABLE `protect_branch_whitelist`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_protect_branch_whitelist_protect_branch_whitelist` (`repo_id`,`name`,`user_id`);

--
-- Indexes for table `public_key`
--
ALTER TABLE `public_key`
  ADD PRIMARY KEY (`id`),
  ADD KEY `IDX_public_key_owner_id` (`owner_id`);

--
-- Indexes for table `pull_request`
--
ALTER TABLE `pull_request`
  ADD PRIMARY KEY (`id`),
  ADD KEY `IDX_pull_request_issue_id` (`issue_id`);

--
-- Indexes for table `release`
--
ALTER TABLE `release`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `repository`
--
ALTER TABLE `repository`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_repository_s` (`owner_id`,`lower_name`),
  ADD KEY `IDX_repository_lower_name` (`lower_name`),
  ADD KEY `IDX_repository_name` (`name`);

--
-- Indexes for table `star`
--
ALTER TABLE `star`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_star_s` (`uid`,`repo_id`);

--
-- Indexes for table `team`
--
ALTER TABLE `team`
  ADD PRIMARY KEY (`id`),
  ADD KEY `IDX_team_org_id` (`org_id`);

--
-- Indexes for table `team_repo`
--
ALTER TABLE `team_repo`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_team_repo_s` (`team_id`,`repo_id`),
  ADD KEY `IDX_team_repo_org_id` (`org_id`);

--
-- Indexes for table `team_user`
--
ALTER TABLE `team_user`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_team_user_s` (`team_id`,`uid`),
  ADD KEY `IDX_team_user_org_id` (`org_id`);

--
-- Indexes for table `two_factor`
--
ALTER TABLE `two_factor`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_two_factor_user_id` (`user_id`);

--
-- Indexes for table `two_factor_recovery_code`
--
ALTER TABLE `two_factor_recovery_code`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `upload`
--
ALTER TABLE `upload`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_upload_uuid` (`uuid`);

--
-- Indexes for table `user`
--
ALTER TABLE `user`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_user_lower_name` (`lower_name`),
  ADD UNIQUE KEY `UQE_user_name` (`name`);

--
-- Indexes for table `version`
--
ALTER TABLE `version`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `watch`
--
ALTER TABLE `watch`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UQE_watch_watch` (`user_id`,`repo_id`);

--
-- Indexes for table `webhook`
--
ALTER TABLE `webhook`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `access`
--
ALTER TABLE `access`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `access_token`
--
ALTER TABLE `access_token`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `action`
--
ALTER TABLE `action`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=28;

--
-- AUTO_INCREMENT for table `attachment`
--
ALTER TABLE `attachment`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `collaboration`
--
ALTER TABLE `collaboration`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `comment`
--
ALTER TABLE `comment`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `deploy_key`
--
ALTER TABLE `deploy_key`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `email_address`
--
ALTER TABLE `email_address`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `follow`
--
ALTER TABLE `follow`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `hook_task`
--
ALTER TABLE `hook_task`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `issue`
--
ALTER TABLE `issue`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `issue_label`
--
ALTER TABLE `issue_label`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `issue_user`
--
ALTER TABLE `issue_user`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `label`
--
ALTER TABLE `label`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `login_source`
--
ALTER TABLE `login_source`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `milestone`
--
ALTER TABLE `milestone`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `mirror`
--
ALTER TABLE `mirror`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `notice`
--
ALTER TABLE `notice`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `org_user`
--
ALTER TABLE `org_user`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `protect_branch`
--
ALTER TABLE `protect_branch`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `protect_branch_whitelist`
--
ALTER TABLE `protect_branch_whitelist`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `public_key`
--
ALTER TABLE `public_key`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `pull_request`
--
ALTER TABLE `pull_request`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `release`
--
ALTER TABLE `release`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `repository`
--
ALTER TABLE `repository`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `star`
--
ALTER TABLE `star`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `team`
--
ALTER TABLE `team`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `team_repo`
--
ALTER TABLE `team_repo`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `team_user`
--
ALTER TABLE `team_user`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `two_factor`
--
ALTER TABLE `two_factor`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `two_factor_recovery_code`
--
ALTER TABLE `two_factor_recovery_code`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `upload`
--
ALTER TABLE `upload`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4747;

--
-- AUTO_INCREMENT for table `user`
--
ALTER TABLE `user`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `version`
--
ALTER TABLE `version`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `watch`
--
ALTER TABLE `watch`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `webhook`
--
ALTER TABLE `webhook`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
